<?php
/**
 * ownCloud - user_pam
 *
 * @author Max Liebkies
 * @copyright 2011 Max Liebkies <mail@maxliebkies.de>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU AFFERO GENERAL PUBLIC LICENSE for more details.
 *
 * You should have received a copy of the GNU Affero General Public
 * License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

$params = array('pam_min_uid', 'pam_max_uid', 'pam_min_gid', 'pam_max_gid', 'pam_admin_groups', 'auth_ldap_version', 'auth_ldap_server', 'auth_ldap_port',
                'auth_ldap_starttls', 'auth_ldap_prefix', 'auth_ldap_suffix', 'auth_ldap_groupbase');

foreach($params as $param){
	if(isset($_POST[$param])){
		OC_Appconfig::setValue('user_pam', $param, $_POST[$param]);
	}
}


// fill template
$tmpl = new OC_Template( 'user_pam', 'settings');
foreach($params as $param){
		$value = OC_Appconfig::getValue('user_pam', $param,'');
		$tmpl->assign($param, $value);
}

// fill in default values
$tmpl->assign( 'pam_min_uid', OC_Appconfig::getValue('user_pam', 'pam_min_uid', OC_USER_BACKEND_PAM_MIN_UID));
$tmpl->assign( 'pam_max_uid', OC_Appconfig::getValue('user_pam', 'pam_max_uid', OC_USER_BACKEND_PAM_MAX_UID));
$tmpl->assign( 'pam_min_gid', OC_Appconfig::getValue('user_pam', 'pam_min_gid', OC_USER_BACKEND_PAM_MIN_GID));
$tmpl->assign( 'pam_max_gid', OC_Appconfig::getValue('user_pam', 'pam_max_gid', OC_USER_BACKEND_PAM_MAX_GID));
$tmpl->assign( 'pam_admin_groups', OC_Appconfig::getValue('user_pam', 'pam_admin_groups', OC_USER_BACKEND_PAM_ADMIN_GROUPS));

$tmpl->assign( 'auth_ldap_version', OC_Appconfig::getValue('user_pam', 'auth_ldap_version'), 3); # v2 or v3
$tmpl->assign( 'auth_ldap_server', OC_Appconfig::getValue('user_pam', 'auth_ldap_server'), "ldap.nbcs.rutgers.edu");
$tmpl->assign( 'auth_ldap_port', OC_Appconfig::getValue('user_pam', 'auth_ldap_port'), 389);
$tmpl->assign( 'auth_ldap_starttls', OC_Appconfig::getValue('user_pam', 'auth_ldap_starttls'), 'require');
$tmpl->assign( 'auth_ldap_prefix', OC_Appconfig::getValue('user_pam', 'auth_ldap_prefix'), 'uid=');
$tmpl->assign( 'auth_ldap_suffix', OC_Appconfig::getValue('user_pam', 'auth_ldap_suffix'), ",ou=People,ou=Justice League,o=Rutgers CSS,c=US");
$tmpl->assign( 'auth_ldap_groupbase', OC_Appconfig::getValue('user_pam', 'auth_ldap_groupbase'), 'ou=Group,ou=Justice League,o=Rutgers CSS,c=US');


return $tmpl->fetchPage();
?>
